using System;
using System.Collections.Generic;
using System.Text;

namespace DyamicPropertyDescriptorDemo {
public class Person {
	protected string _firstName;
	protected string _lastName;
	protected string _midName;
	protected DateTime _dob;
	protected decimal[] _hoursWorked;

	public Person(string firstName, string lastName, string midName, DateTime dob) {
		_firstName = firstName;
		_lastName = lastName;
		_midName = midName;
		_dob = dob;
		_hoursWorked = new decimal[7];
	}
	public string FirstName {
		get { return _firstName; }
	}
	public string LastName {
		get { return _lastName; }
	}
	public string MiddleName {
		get { return _midName; }
	}
	public DateTime DateOfBirth {
		get { return _dob; }
	}
	public decimal this[int day] {
		get { return _hoursWorked[day]; }
		set { _hoursWorked[day] = value; }
	}
}
}
